# Dispo Einsatzliste Offline App

:::warning
Use `yarn` for installing dependencies. `npm` makes `electron-forge` unusable.
:::

## Available commands

* `yarn format` - formats all code with [prettier]().
* `yarn lint` - lints the code with [eslint]().
* `yarn make` - creates the application bundles to distribute on a platform.
* `yarn package` - creates a package from the code to run on a platform.
* `yarn publish` -
* `yarn start` - starts the app on the current platform.
* `yarn test` - runs all tests.

### Testing with live server connection

In `src/services/einsatzliste-downloader.spec.js` there is a skipped test suite, downloading and saving the real PDF, if
you provide a correct `base`, `username` and `password` combination as variables.

You can use environment variables to run the test. It will download the file `einsatzliste.pdf` to the current working
directory. **Be aware that it will overwrite existing files!**

```
DPL_BASE="https://schulung.dispolive.de" DPL_USERNAME="your-username" DPL_PASSWORD="your-password" yarn test
```
