const downloader = require("../../services/einsatzliste-downloader");

let timer = null;

async function startDownloader({ server, username, password, downloadPath, interval }, { onDownload, onError }) {
  if (timer !== null) {
    clearTimeout(timer);
  }

  const base = `https://${server}.dispolive.de`;

  await downloadIt();
  return () => {
    if (timer !== null) {
      clearTimeout(timer);
    }
  };

  async function downloadIt() {
    try {
      await downloader({ base, downloadPath, username, password });
      if (onDownload) {
        onDownload();
      }
    } catch (downloadError) {
      if (onError) {
        onError(downloadError);
      }
    }
    timer = setTimeout(downloadIt, interval * 60 * 1000);
  }
}

module.exports = startDownloader;
